OracleVM 3.4 : qemu-kvm (OVMSA-2020-0010)

Medium Nessus Plugin ID 134611

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 8.4

Synopsis

The remote OracleVM host is missing a security update.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- kvm-Fix-heap-overflow-in-ip_reass-on-big-packet-input.pa tch [bz#1734747]

- kvm-Using-ip_deq-after-m_free-might-read-pointers-from-a .patch

- kvm-tcp_emu-Fix-oob-access.patch [bz#1791558]

- kvm-slirp-use-correct-size-while-emulating-IRC-commands.
patch [bz#1791558]

- kvm-slirp-use-correct-size-while-emulating-commands.patc h [bz#1791558]

- Resolves: bz#1734747 (CVE-2019-14378 qemu-kvm: QEMU:
slirp: heap buffer overflow during packet reassembly [rhel-6.10.z])

- Resolves: bz#1749731 (CVE-2019-15890 qemu-kvm: QEMU:
Slirp: use-after-free during packet reassembly [rhel-6])

- Resolves: bz#1791558 (CVE-2020-7039 qemu-kvm: QEMU:
slirp: OOB buffer access while emulating tcp protocols in tcp_emu [rhel-6.10.z])

Solution

Update the affected qemu-img package.

See Also

http://www.nessus.org/u?74764caf

Plugin Details

Severity: Medium

ID: 134611

File Name: oraclevm_OVMSA-2020-0010.nasl

Version: 1.3

Type: local

Published: 2020/03/16

Updated: 2020/10/16

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 8.4

CVSS Score Source: CVE-2020-7039

CVSS v2.0

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 5.6

Temporal Score: 5.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:qemu-img, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2020/03/13

Vulnerability Publication Date: 2019/07/29

Reference Information

CVE: CVE-2019-14378, CVE-2019-15890, CVE-2020-7039